Sign inGet started

Get a webhook subscription

GET
/workspaces/{workspaceId}/webhook-subscriptions/{webhookSubscriptionId}
Get the specified webhook subscription given its ID.
Payload della risposta
id
string
obbligatorio
The unique identifier for the webhook subscription. This identifier is used to reference the webhook subscription in other API calls.
organizationId
string
obbligatorio
workspaceId
string
obbligatorio
service
string
obbligatorio
The service that the webhook is subscribed to. For example, to get events regarding channels, the service would be channels.
Possible values: channels, numbers, payments, conversations, templates
event
string
obbligatorio
The event name identifies the webhook event, such as sms.outbound for notifications about SMS messages being sent.
eventFilters
array of object
Mostra attributi secondari
eventFilters.key
string
obbligatorio
Possible values: channelId, platformId, channelStatus, interactionType, messageStatus, status, eventDestination, navigatorId
eventFilters.value
string
obbligatorio
template
string
Used for our Exit APIs for Twilio and Sinch. More information can be found here for Twilio and here for Sinch.
url
string
obbligatorio
The URL of the webhook is used to send events to the webhook. The URL must be a valid URL that respects the established pattern and is accessible from the internet.
signingKey
string
The signing key for the webhook and can be used to verify the authenticity of the webhook.
oauth2
object
OAuth 2.0 client credentials configuration.
Mostra attributi secondari
oauth2.tokenUrl
string
obbligatorio
The OAuth 2.0 token endpoint where access tokens are requested.
oauth2.clientId
string
obbligatorio
The OAuth 2.0 client identifier.
oauth2.scopes
array of string
OAuth 2.0 scopes to request.
status
string
obbligatorio
Possible values: active, inactive
statusReason
string
A human-readable explanation for the current status of the webhook subscription.
createdAt
string
updatedAt
string
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/webhook-subscriptions/{webhookSubscriptionId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following example:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • Previously created Webhook subscription ID: 0edf722b-93b4-4451-8a5d-4fafba5cdf8b
  • AccessKey: abcd
Getting a previously created webhook subscription
Esempio di codice
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/webhook-subscriptions/0edf722b-93b4-4451-8a5d-4fafba5cdf8b
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"